
PyObject *
terry_py_Begin(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtString output;

    static struct type argsyntax[] = { { 0, 3, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &output))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiBegin(output );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_End(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiEnd( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_AreaLightSource(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;
void *handle;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
    handle =  RiAreaLightSourceV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
    return PyInt_FromLong((long)handle);

}

PyObject *
terry_py_Atmosphere(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiAtmosphereV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Attribute(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiAttributeV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_AttributeBegin(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiAttributeBegin( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_AttributeEnd(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiAttributeEnd( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Basis(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtBasis ubasis;
RtInt ustep;
RtBasis vbasis;
RtInt vstep;

    static struct type argsyntax[] = { { 0, 8, 0 },
{ 0, 1, 0 },
{ 0, 8, 0 },
{ 0, 1, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(4, pyargs, (PyObject**)0, argsyntax, &ubasis, &ustep, &vbasis, &vstep))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiBasis(ubasis, ustep, vbasis, vstep );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Bound(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtBound bound;

    static struct type argsyntax[] = { { 0, 9, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &bound))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiBound(bound );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Clipping(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat hither;
RtFloat yon;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(2, pyargs, (PyObject**)0, argsyntax, &hither, &yon))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiClipping(hither, yon );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Color(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtColor color;

    static struct type argsyntax[] = { { 0, 6, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &color))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiColor(color );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_ConcatTransform(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtMatrix transform;

    static struct type argsyntax[] = { { 0, 7, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &transform))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiConcatTransform(transform );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Cone(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat height;
RtFloat radius;
RtFloat tmax;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, &dict, argsyntax, &height, &radius, &tmax))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiConeV(height, radius, tmax , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_CropWindow(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat xmin;
RtFloat xmax;
RtFloat ymin;
RtFloat ymax;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(4, pyargs, (PyObject**)0, argsyntax, &xmin, &xmax, &ymin, &ymax))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiCropWindow(xmin, xmax, ymin, ymax );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Cylinder(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat radius;
RtFloat zmin;
RtFloat zmax;
RtFloat tmax;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(4, pyargs, &dict, argsyntax, &radius, &zmin, &zmax, &tmax))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiCylinderV(radius, zmin, zmax, tmax , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Declare(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtString name;
RtString declaration;

    static struct type argsyntax[] = { { 0, 3, 0 },
{ 0, 3, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(2, pyargs, (PyObject**)0, argsyntax, &name, &declaration))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiDeclare(name, declaration );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Deformation(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiDeformationV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_DepthOfField(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat fstop;
RtFloat focallength;
RtFloat focaldistance;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, (PyObject**)0, argsyntax, &fstop, &focallength, &focaldistance))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiDepthOfField(fstop, focallength, focaldistance );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Detail(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtBound detail;

    static struct type argsyntax[] = { { 0, 9, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &detail))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiDetail(detail );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_DetailRange(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat minvis;
RtFloat lowtran;
RtFloat hitran;
RtFloat maxvis;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(4, pyargs, (PyObject**)0, argsyntax, &minvis, &lowtran, &hitran, &maxvis))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiDetailRange(minvis, lowtran, hitran, maxvis );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Disk(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat height;
RtFloat radius;
RtFloat tmax;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, &dict, argsyntax, &height, &radius, &tmax))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiDiskV(height, radius, tmax , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Displacement(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiDisplacementV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Display(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtString name;
RtToken type;
RtToken mode;

    static struct type argsyntax[] = { { 0, 3, 0 },
{ 0, 4, 0 },
{ 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, &dict, argsyntax, &name, &type, &mode))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiDisplayV(name, type, mode , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Exposure(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat gain;
RtFloat gamma;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(2, pyargs, (PyObject**)0, argsyntax, &gain, &gamma))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiExposure(gain, gamma );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Exterior(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiExteriorV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Format(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtInt xres;
RtInt yres;
RtFloat aspect;

    static struct type argsyntax[] = { { 0, 1, 0 },
{ 0, 1, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, (PyObject**)0, argsyntax, &xres, &yres, &aspect))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiFormat(xres, yres, aspect );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_FrameAspectRatio(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat aspect;

    static struct type argsyntax[] = { { 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &aspect))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiFrameAspectRatio(aspect );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_FrameBegin(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtInt frame;

    static struct type argsyntax[] = { { 0, 1, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &frame))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiFrameBegin(frame );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_FrameEnd(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiFrameEnd( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_GeometricApproximation(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken type;
RtFloat value;

    static struct type argsyntax[] = { { 0, 4, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(2, pyargs, (PyObject**)0, argsyntax, &type, &value))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiGeometricApproximation(type, value );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Geometry(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken type;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &type))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiGeometryV(type , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Hider(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken type;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &type))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiHiderV(type , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Hyperboloid(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtPoint p1;
RtPoint p2;
RtFloat tmax;

    static struct type argsyntax[] = { { 0, 5, 0 },
{ 0, 5, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, &dict, argsyntax, &p1, &p2, &tmax))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiHyperboloidV(p1, p2, tmax , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Identity(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiIdentity( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Illuminate(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtLightHandle light;
RtBoolean onoff;

    static struct type argsyntax[] = { { 0, 10, 0 },
{ 0, 0, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(2, pyargs, (PyObject**)0, argsyntax, &light, &onoff))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiIlluminate(light, onoff );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Imager(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiImagerV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Interior(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiInteriorV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_LightSource(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;
void *handle;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
    handle =  RiLightSourceV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
    return PyInt_FromLong((long)handle);

}

PyObject *
terry_py_MakeBump(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtString pic;
RtString tex;
RtToken swrap;
RtToken twrap;
RtFilterFunc filterfunc;
RtFloat swidth;
RtFloat twidth;

    static struct type argsyntax[] = { { 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 4, 0 },
{ 0, 4, 0 },
{ 0, 12, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(7, pyargs, &dict, argsyntax, &pic, &tex, &swrap, &twrap, &filterfunc, &swidth, &twidth))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiMakeBumpV(pic, tex, swrap, twrap, filterfunc, swidth, twidth , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_MakeCubeFaceEnvironment(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtString px;
RtString nx;
RtString py;
RtString ny;
RtString pz;
RtString nz;
RtString tex;
RtFloat fov;
RtFilterFunc filterfunc;
RtFloat swidth;
RtFloat twidth;

    static struct type argsyntax[] = { { 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 2, 0 },
{ 0, 12, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(11, pyargs, &dict, argsyntax, &px, &nx, &py, &ny, &pz, &nz, &tex, &fov, &filterfunc, &swidth, &twidth))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiMakeCubeFaceEnvironmentV(px, nx, py, ny, pz, nz, tex, fov, filterfunc, swidth, twidth , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_MakeLatLongEnvironment(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtString pic;
RtString tex;
RtFilterFunc filterfunc;
RtFloat swidth;
RtFloat twidth;

    static struct type argsyntax[] = { { 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 12, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(5, pyargs, &dict, argsyntax, &pic, &tex, &filterfunc, &swidth, &twidth))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiMakeLatLongEnvironmentV(pic, tex, filterfunc, swidth, twidth , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_MakeShadow(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtString pic;
RtString tex;

    static struct type argsyntax[] = { { 0, 3, 0 },
{ 0, 3, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(2, pyargs, &dict, argsyntax, &pic, &tex))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiMakeShadowV(pic, tex , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_MakeTexture(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtString pic;
RtString tex;
RtToken swrap;
RtToken twrap;
RtFilterFunc filterfunc;
RtFloat swidth;
RtFloat twidth;

    static struct type argsyntax[] = { { 0, 3, 0 },
{ 0, 3, 0 },
{ 0, 4, 0 },
{ 0, 4, 0 },
{ 0, 12, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(7, pyargs, &dict, argsyntax, &pic, &tex, &swrap, &twrap, &filterfunc, &swidth, &twidth))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiMakeTextureV(pic, tex, swrap, twrap, filterfunc, swidth, twidth , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Matte(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtBoolean onoff;

    static struct type argsyntax[] = { { 0, 0, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &onoff))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiMatte(onoff );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_MotionEnd(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiMotionEnd( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_ObjectBegin(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    void *handle;

    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
    handle =  RiObjectBegin( );

    terry_free_parameter_list(nparams, tokens, values);
    return PyInt_FromLong((long)handle);

}

PyObject *
terry_py_ObjectEnd(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiObjectEnd( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_ObjectInstance(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtObjectHandle handle;

    static struct type argsyntax[] = { { 0, 11, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &handle))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiObjectInstance(handle );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Opacity(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtColor color;

    static struct type argsyntax[] = { { 0, 6, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &color))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiOpacity(color );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Option(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiOptionV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Orientation(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken orientation;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &orientation))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiOrientation(orientation );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Paraboloid(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat rmax;
RtFloat zmin;
RtFloat zmax;
RtFloat tmax;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(4, pyargs, &dict, argsyntax, &rmax, &zmin, &zmax, &tmax))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiParaboloidV(rmax, zmin, zmax, tmax , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Patch(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken type;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &type))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiPatchV(type , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_PatchMesh(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken type;
RtInt nu;
RtToken uwrap;
RtInt nv;
RtToken vwrap;

    static struct type argsyntax[] = { { 0, 4, 0 },
{ 0, 1, 0 },
{ 0, 4, 0 },
{ 0, 1, 0 },
{ 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(5, pyargs, &dict, argsyntax, &type, &nu, &uwrap, &nv, &vwrap))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiPatchMeshV(type, nu, uwrap, nv, vwrap , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Perspective(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat fov;

    static struct type argsyntax[] = { { 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &fov))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiPerspective(fov );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_PixelFilter(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFilterFunc filterfunc;
RtFloat xwidth;
RtFloat ywidth;

    static struct type argsyntax[] = { { 0, 12, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, (PyObject**)0, argsyntax, &filterfunc, &xwidth, &ywidth))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiPixelFilter(filterfunc, xwidth, ywidth );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_PixelSamples(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat xsamples;
RtFloat ysamples;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(2, pyargs, (PyObject**)0, argsyntax, &xsamples, &ysamples))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiPixelSamples(xsamples, ysamples );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_PixelVariance(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat variation;

    static struct type argsyntax[] = { { 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &variation))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiPixelVariance(variation );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Projection(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiProjectionV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Quantize(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken type;
RtInt one;
RtInt min;
RtInt max;
RtFloat ditheramplitude;

    static struct type argsyntax[] = { { 0, 4, 0 },
{ 0, 1, 0 },
{ 0, 1, 0 },
{ 0, 1, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(5, pyargs, (PyObject**)0, argsyntax, &type, &one, &min, &max, &ditheramplitude))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiQuantize(type, one, min, max, ditheramplitude );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_RelativeDetail(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat relativedetail;

    static struct type argsyntax[] = { { 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &relativedetail))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiRelativeDetail(relativedetail );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_ReverseOrientation(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiReverseOrientation( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Rotate(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat angle;
RtFloat dx;
RtFloat dy;
RtFloat dz;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(4, pyargs, (PyObject**)0, argsyntax, &angle, &dx, &dy, &dz))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiRotate(angle, dx, dy, dz );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Scale(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat sx;
RtFloat sy;
RtFloat sz;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, (PyObject**)0, argsyntax, &sx, &sy, &sz))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiScale(sx, sy, sz );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_ScreenWindow(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat left;
RtFloat right;
RtFloat bot;
RtFloat top;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(4, pyargs, (PyObject**)0, argsyntax, &left, &right, &bot, &top))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiScreenWindow(left, right, bot, top );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_ShadingInterpolation(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken type;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &type))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiShadingInterpolation(type );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_ShadingRate(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat size;

    static struct type argsyntax[] = { { 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &size))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiShadingRate(size );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Shutter(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat min;
RtFloat max;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(2, pyargs, (PyObject**)0, argsyntax, &min, &max))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiShutter(min, max );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Sides(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtInt sides;

    static struct type argsyntax[] = { { 0, 1, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &sides))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiSides(sides );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Skew(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat angle;
RtFloat dx1;
RtFloat dy1;
RtFloat dz1;
RtFloat dx2;
RtFloat dy2;
RtFloat dz2;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(7, pyargs, (PyObject**)0, argsyntax, &angle, &dx1, &dy1, &dz1, &dx2, &dy2, &dz2))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiSkew(angle, dx1, dy1, dz1, dx2, dy2, dz2 );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_SolidBegin(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken operation;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &operation))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiSolidBegin(operation );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_SolidEnd(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiSolidEnd( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Sphere(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat radius;
RtFloat zmin;
RtFloat zmax;
RtFloat tmax;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(4, pyargs, &dict, argsyntax, &radius, &zmin, &zmax, &tmax))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiSphereV(radius, zmin, zmax, tmax , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Surface(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtToken name;

    static struct type argsyntax[] = { { 0, 4, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, &dict, argsyntax, &name))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiSurfaceV(name , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_TextureCoordinates(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat s1;
RtFloat t1;
RtFloat s2;
RtFloat t2;
RtFloat s3;
RtFloat t3;
RtFloat s4;
RtFloat t4;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(8, pyargs, (PyObject**)0, argsyntax, &s1, &t1, &s2, &t2, &s3, &t3, &s4, &t4))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiTextureCoordinates(s1, t1, s2, t2, s3, t3, s4, t4 );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Torus(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat majrad;
RtFloat minrad;
RtFloat phimin;
RtFloat phimax;
RtFloat tmax;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(5, pyargs, &dict, argsyntax, &majrad, &minrad, &phimin, &phimax, &tmax))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiTorusV(majrad, minrad, phimin, phimax, tmax , nparams, tokens, values);

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Transform(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtMatrix transform;

    static struct type argsyntax[] = { { 0, 7, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(1, pyargs, (PyObject**)0, argsyntax, &transform))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiTransform(transform );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_TransformBegin(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiTransformBegin( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_TransformEnd(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiTransformEnd( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_Translate(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    RtFloat dx;
RtFloat dy;
RtFloat dz;

    static struct type argsyntax[] = { { 0, 2, 0 },
{ 0, 2, 0 },
{ 0, 2, 0 },
 };
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(3, pyargs, (PyObject**)0, argsyntax, &dx, &dy, &dz))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiTranslate(dx, dy, dz );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_WorldBegin(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiWorldBegin( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}

PyObject *
terry_py_WorldEnd(PyObject *self, PyObject *pyargs, PyObject *kwdargs)
{
    
    static struct type argsyntax[1];
    
    RtToken *tokens;
    RtPointer *values;
    int nparams;
    PyObject *dict;

    dict = 0;
    if (!terry_parse_args(0, pyargs, (PyObject**)0, argsyntax, 0))
        return 0;

    if (!terry_parse_dict_and_kwd(dict, kwdargs, &nparams, &tokens, &values))
        return 0;
    
     RiWorldEnd( );

    terry_free_parameter_list(nparams, tokens, values);
        Py_INCREF(Py_None);
    return Py_None;

}
